Subject: Re: zsh as login shell
From: Václav Haisman <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Oct 2005 14:35:10 +0200

What about editing /etc/passwd? Pesonally, I use customized cygwin.bat.

Václav Hasiman

Com MN PG P E B Consultant 3 wrote:
> I would like to have on my Windoze desktop an Icon for zsh running under
> 
> Cygwin, similar to the standard Cygwin Icon which runs a bash login
> shell,
> so that I can choose whether to get a window using bash or using zsh.
> 
> It works kind of, but I can't get zsh executed as login shell. The BAT
> file
> invoking the bash login shell calls bash using
> 
>   bash --login -i
> 
> but zsh has no equivalent to the --login option, so I just use
> 
>   zsh -i
> 
> which makes the shell interactive, but not login. Zsh considers itself a
> login
> shell iff it is called under a name starting with a dash.
> 
> Is there an elegant solution to this problem? Of course I could
> 
>   cp -- zsh -zsh
> 
> and call -zsh, but I would have then to redo this everytime I update zsh
> to a 
> newer version. Another possibility would be to execute a shell script
> using
> bash and in this script do an
> 
>   exec -a -zsh zsh -I
> 
> But maybe someone knows a better way to do this?
> 
> Ronald